Bug 19180 - Vendor name is missing from breadcrumbs when closing an order
Summary: Vendor name is missing from breadcrumbs when closing an order
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-26 22:23 UTC by Katrin Fischer
Modified: 2017-11-15 20:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19180: Add vendor name to breadcrumbs when closing an order (1.06 KB, patch)
2017-08-27 23:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19180: Add vendor name to breadcrumbs when closing an order (1.11 KB, patch)
2017-08-28 18:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.30 KB, patch)
2017-08-29 21:28 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19180: Add vendor name to breadcrumbs when closing an order (1.11 KB, patch)
2017-09-09 03:51 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.44 KB, patch)
2017-09-09 03:51 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.33 KB, patch)
2017-09-09 03:55 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.39 KB, patch)
2017-09-09 04:00 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.46 KB, patch)
2017-09-15 19:30 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 19180: Add vendor name to breadcrumbs when closing an order (1.19 KB, patch)
2017-09-19 14:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername' (5.54 KB, patch)
2017-09-19 14:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-26 22:23:08 UTC
When an open basket/order is closed, the breadcrumbs on the page asking about adding the order to a basket group is missing the vendor name in the breadcrumbs in 2 spots:

Home › Acquisitions › › Basket Test bug 15347 (1) for
Comment 1 Aleisha Amohia 2017-08-27 23:04:31 UTC
Created attachment 66517 [details] [review]
Bug 19180: Add vendor name to breadcrumbs when closing an order

To test:
1) Go to Acquisitions
2) Find a vendor and a basket
3) Click 'Close basket' button
4) Notice that on confirmation page, breadcrumbs are missing vendor
5) Apply patch and refresh page
6) Vendor name should now show
7) Confirm link to vendor works as expected

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-08-28 18:32:50 UTC
*grumbles about having to set up budgets, funds, AND a vendor* ;)
Before:
Home › Acquisitions › › Basket test basket (1) for
After:
Home › Acquisitions › Test › Basket test basket (1) for Test
Link works. :)
Comment 3 M. Tompsett 2017-08-28 18:34:26 UTC
Created attachment 66562 [details] [review]
Bug 19180: Add vendor name to breadcrumbs when closing an order

To test:
1) Go to Acquisitions
2) Find a vendor and a basket
3) Click 'Close basket' button
4) Notice that on confirmation page, breadcrumbs are missing vendor
5) Apply patch and refresh page
6) Vendor name should now show
7) Confirm link to vendor works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Jonathan Druart 2017-08-29 16:49:00 UTC
We are on basket.pl, sending a "name" variable to the template that is actually the "vendor name" can lead to issue.
Let's rename it with "bookseller_name" or whatever more meaningful.
Comment 5 Aleisha Amohia 2017-08-29 21:28:52 UTC
Created attachment 66603 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT
Comment 6 Caroline Cyr La Rose 2017-09-08 20:02:30 UTC
Error message :

fatal: sha1 information is lacking or useless (acqui/basket.pl).
Comment 7 M. Tompsett 2017-09-09 03:51:32 UTC
Created attachment 67029 [details] [review]
Bug 19180: Add vendor name to breadcrumbs when closing an order

To test:
1) Go to Acquisitions
2) Find a vendor and a basket
3) Click 'Close basket' button
4) Notice that on confirmation page, breadcrumbs are missing vendor
5) Apply patch and refresh page
6) Vendor name should now show
7) Confirm link to vendor works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 M. Tompsett 2017-09-09 03:51:39 UTC
Created attachment 67030 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT
Comment 9 M. Tompsett 2017-09-09 03:55:34 UTC
Created attachment 67031 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT
Comment 10 M. Tompsett 2017-09-09 04:00:40 UTC
Created attachment 67032 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 11 M. Tompsett 2017-09-09 04:01:40 UTC
(In reply to Caroline Cyr La Rose from comment #6)
> Error message :
> 
> fatal: sha1 information is lacking or useless (acqui/basket.pl).

Because someone did a 'basketno | html' tweak to the template file. Easy enough to rebase and compare.
Comment 12 Caroline Cyr La Rose 2017-09-15 19:30:01 UTC
Created attachment 67156 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 13 Jonathan Druart 2017-09-19 14:28:16 UTC
Created attachment 67213 [details] [review]
Bug 19180: Add vendor name to breadcrumbs when closing an order

To test:
1) Go to Acquisitions
2) Find a vendor and a basket
3) Click 'Close basket' button
4) Notice that on confirmation page, breadcrumbs are missing vendor
5) Apply patch and refresh page
6) Vendor name should now show
7) Confirm link to vendor works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2017-09-19 14:28:21 UTC
Created attachment 67214 [details] [review]
Bug 19180: [FOLLOW-UP] Renaming all instances of 'name' variable to 'booksellername'

... when referring to the name of the vendor.

To test:
1) Confirm vendor shows on webpage title (tab name)
2) Confirm vendor shows in breadcrumbs
3) Confirm vendor shows in heading when viewing basket ('Basket x (1) for
vendor')

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2017-09-19 14:51:43 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 16 Fridolin SOMERS 2017-10-23 15:04:56 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 17 Katrin Fischer 2017-10-29 18:07:55 UTC
Doesn't apply cleanly to 16.11.x (second patch conflicts), please rebase if you want this to be included.
Comment 18 Katrin Fischer 2017-11-15 20:38:06 UTC
I checked - the bug exists in 16.11.x.